Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.axeda.esrs.portal.user
Class ODBCUserStore

    java.lang.Object
      com.axeda.esrs.portal.user.ODBCUserStore

    public abstract class ODBCUserStore

extends java.lang.Object

Abstract implementation of the ODBCUserStore class. This provides a stub implementation for all of the methods which are not going to be implemented in the EMC implementation. User: kholbrook Date: Apr 17, 2009 Time: 11:39:24 AM

Constructor Summary
`ODBCUserStore()`

Method Summary
`void` | `addGroupsToGroup(java.util.Collection collection, java.lang.String s)` Stub implementation, please do not override unless necessary
`void` | `addUsersToGroup(java.util.Collection collection, java.lang.String s)` Stub implementation, please do not override unless necessary
`void` | `addUserToGroups(java.lang.String s, java.util.Collection collection)` Stub implementation, please do not override unless necessary
`boolean` | `canEditAttributes()` Stub implementation, please do not override unless necessary
`boolean` | `canEditGroupAttributes()` Stub implementation, please do not override unless necessary
`void` | `changeAttribute(java.lang.String s, com.axeda.common.user.UserAttribute userAttribute, java.lang.Object o)` Stub implementation, please do not override unless necessary
`void` | `changeAttributes(java.lang.String s, java.util.Map map)` Stub implementation, please do not override unless necessary
`void` | `changePassword(java.lang.String s, java.lang.String s1)` Stub implementation, please do not override unless necessary
`void` | `changeUserGroupAttribute(java.lang.String s, com.axeda.common.user.UserGroupAttribute userGroupAttribute, java.lang.Object o)` Stub implementation, please do not override unless necessary
`void` | `changeUserGroupAttributes(java.lang.String s, java.util.Map map)` Stub implementation, please do not override unless necessary
`void` | `createUser(java.lang.String s, java.lang.String s1, java.lang.String s2, java.util.Map map, java.lang.String[] strings)` Stub implementation, please do not override unless necessary
`void` | `createUser(java.lang.String s, java.lang.String s1, java.lang.String s2, java.util.Map map, java.lang.String[] strings, boolean b)` Stub implementation, please do not override unless necessary
`void` | `createUser(java.lang.String s, java.lang.String s1, java.lang.String s2, java.lang.String[] strings)` Stub implementation, please do not override unless necessary
`void` | `createUserGroup(java.lang.String s, java.lang.String s1)` Stub implementation, please do not override unless necessary
`void` | `createUserGroup(java.lang.String s, java.lang.String s1, java.lang.String s2)` Stub implementation, please do not override unless necessary
`void` | `deleteUser(java.lang.String s)` Stub implementation, please do not override unless necessary
`void` | `deleteUserGroup(java.lang.String s)` Stub implementation, please do not override unless necessary
`java.util.List` | `getAncestersForGroup(java.lang.String groupName)` Stub implementation, please do not override unless necessary
`java.util.List` | `getAncestersForUser(java.lang.String userId)` Stub implementation, please do not override unless necessary
`java.lang.String` | `getGroupDn(java.lang.String name)` Since this is a non-LDAP class there is no notion of DN/CN.
`java.util.List` | `getGroupDNsForUser(java.lang.String userId, boolean includeParentGroups)` Stub implementation, please do not override unless necessary
`java.lang.String` | `getGroupObjectClass(Authenticator authenticator)` Stub implementation, please do not override unless necessary
`java.util.List` | `getGroupsForGroup(java.lang.String groupName)` Stub implementation, please do not override unless necessary
`java.util.List` | `getGroupsForUser(java.lang.String userId, boolean includeParentGroups)` Stub implementation, please do not override unless necessary
`void` | `getGroupsInGroup(java.lang.String groupName, java.util.List currentGroups, boolean includeSubgroups)` Stub implementation, please do not override unless necessary
`void` | `getGroupsInGroup(java.lang.String groupName, java.lang.String groupCriteria, java.util.List groups, boolean directly)` Merges the child groups of the specified group into the provided list of groups
`long` | `getPasswordExpirationTime(java.lang.String userName)` Stub implementation, please do not override unless necessary
`java.util.List` | `getPrimaryUserGroups(java.util.List groups)` Stub implementation, please do not override unless necessary
`java.util.List` | `getPrimaryUsers(java.util.List groups)` Stub implementation, please do not override unless necessary
`java.util.Map` | `getUserAttributes(java.lang.String userId, java.util.List attributes)` Stub implementation, please do not override unless necessary
`java.util.List` | `getUserDirectoryNames(java.lang.String filter, java.lang.String[] groups)` Stub implementation, please do not override unless necessary
`java.lang.String` | `getUserDn(java.lang.String name)` Since this is a non-LDAP class there is no notion of DN/CN.
`java.util.Map` | `getUserGroupAttributes(java.lang.String userGroupName, java.util.List attributes)` Stub implementation, please do not override unless necessary
`java.lang.String` | `getUserObjectClass(Authenticator authenticator)` Stub implementation, please do not override unless necessary
`java.util.List` | `getUsers(java.lang.String searchCriteria, int countLimit)` Stub implementation, please do not override unless necessary
`java.util.List` | `getUsersDirectlyInGroup(java.lang.String groupName, java.lang.String userCriteria)` Stub implementation, please do not override unless necessary
`void` | `getUsersInGroup(java.lang.String groupName, java.lang.String userCriteria, boolean directly)` Stub implementation, please do not override unless necessary
`void` | `getUsersInGroup(java.lang.String groupName, java.lang.String userCriteria, java.util.List users, boolean directly)` Merges the child users of the specified group into the provided list of groups
`boolean` | `hasVendorStore()` Stub implementation, please do not override unless necessary
`void` | `isPasswordExpiring(java.lang.String userName)` Stub implementation, please do not override unless necessary
`boolean` | `isPrimaryUser(java.lang.String user)` Stub implementation, please do not override unless necessary
`boolean` | `isPrimaryUserGroup(java.lang.String group)` Stub implementation, please do not override unless necessary
`boolean` | `isUserValid(java.lang.String s, java.lang.String s1)` Always return true for this user, the authenticator should already have estab lished the validity of this user
`boolean` | `isVendorStore()` Indicates whether this UserStore was instantiated as a partner User Store (i.e.
`void` | `removeGroupsFromGroup(java.util.Collection collection, java.lang.String s)` Stub implementation, please do not override unless necessary
`void` | `removeUserFromGroups(java.lang.String s, java.util.Collection collection)` Stub implementation, please do not override unless necessary
`void` | `removeUsersFromGroup(java.util.Collection collection, java.lang.String s)` Stub implementation, please do not override unless necessary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ODBCUserStore

    public ODBCUserStore()

Method Detail

### getPrimaryUsers

    public java.util.List getPrimaryUsers(java.util.List groups)

  Stub implementation, please do not override unless necessary

  Parameters:
    `groups` - List of groups to query for users
  Returns:
    An empty list

### getPrimaryUserGroups

    public java.util.List getPrimaryUserGroups(java.util.List groups)

  Stub implementation, please do not override unless necessary

  Parameters:
    `groups` - List of groups to query for users
  Returns:
    An empty list

### getUsersDirectlyInGroup

    public java.util.List getUsersDirectlyInGroup(java.lang.String groupName,
                                                  java.lang.String userCriteria)
                                           throws UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `groupName` - Name of group to query for users
    `userCriteria` - User criteria string for narrowing down the set of users
  Returns:
    An empty list
  Throws:
    `UserStoreException`

### getAncestersForGroup

    public java.util.List getAncestersForGroup(java.lang.String groupName)
                                        throws UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `groupName` - Name of group to query for ancestors
  Returns:
    An empty list
  Throws:
    `UserStoreException`

### getAncestersForUser

    public java.util.List getAncestersForUser(java.lang.String userId)
                                       throws UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `userId` - Name of user to query for ancestors
  Returns:
    An empty list
  Throws:
    `UserStoreException`

### getGroupsForGroup

    public java.util.List getGroupsForGroup(java.lang.String groupName)
                                     throws UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `groupName` - Name of group to query for child groups
  Returns:
    An empty list
  Throws:
    `UserStoreException`

### getGroupsForUser

    public java.util.List getGroupsForUser(java.lang.String userId,
                                           boolean includeParentGroups)
                                    throws UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `userId` - Name of user to query for ancestors
    `includeParentGroups` - Boolean to indicate whether or not to look in parent groups of the groups which the user is a member of
  Returns:
    An empty list
  Throws:
    `UserStoreException`

### getUsers

    public java.util.List getUsers(java.lang.String searchCriteria,
                                   int countLimit)
                            throws UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `searchCriteria` - Criteria to use when querying for users
    `countLimit` - The max # of users to return
  Returns:
    An empty list
  Throws:
    `UserStoreException`

### canEditAttributes

    public boolean canEditAttributes()

  Stub implementation, please do not override unless necessary

  Returns:
    Always true

### canEditGroupAttributes

    public boolean canEditGroupAttributes()

  Stub implementation, please do not override unless necessary

  Returns:
    Always true

### getGroupObjectClass

    public java.lang.String getGroupObjectClass(Authenticator authenticator)

  Stub implementation, please do not override unless necessary

  Parameters:
    `authenticator` - An authenticator from WebLogic's Authenticator list
  Returns:
    An empty String

### getGroupDNsForUser

    public java.util.List getGroupDNsForUser(java.lang.String userId,
                                             boolean includeParentGroups)
                                      throws UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `userId` - The username for the user to get DNs for
    `includeParentGroups` - True if the parent groups for this user need to be loaded
  Returns:
    Empty List
  Throws:
    `UserStoreException`

### getPasswordExpirationTime

    public long getPasswordExpirationTime(java.lang.String userName)

  Stub implementation, please do not override unless necessary

  Parameters:
    `userName` -
  Returns:
    Current time in millis * 2

### getUserAttributes

    public java.util.Map getUserAttributes(java.lang.String userId,
                                           java.util.List attributes)

  Stub implementation, please do not override unless necessary

  Parameters:
    `userId` - The user whose attributes are being loaded
    `attributes` - The list of user attributes which we will merge with the newly found
  Returns:
    Empty Map

### getUserDirectoryNames

    public java.util.List getUserDirectoryNames(java.lang.String filter,
                                                java.lang.String[] groups)

  Stub implementation, please do not override unless necessary

  Parameters:
    `filter` - The filter for usernames to load
    `groups` - The list of groups to search for the users
  Returns:
    Empty List

### getUserGroupAttributes

    public java.util.Map getUserGroupAttributes(java.lang.String userGroupName,
                                                java.util.List attributes)

  Stub implementation, please do not override unless necessary

  Parameters:
    `userGroupName` - The name of the user group to load attributes from
    `attributes` - The list of attributes to merge newfound attributes with
  Returns:
    Empty List

### getUserObjectClass

    public java.lang.String getUserObjectClass(Authenticator authenticator)

  Stub implementation, please do not override unless necessary

  Parameters:
    `authenticator` - The authenticator to ask for the User Object Class ("User" for most LDAP)
  Returns:
    Empty String

### getGroupsInGroup

    public void getGroupsInGroup(java.lang.String groupName,
                                 java.util.List currentGroups,
                                 boolean includeSubgroups)
                          throws UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `groupName` - The name of the group to search for child groups
    `currentGroups` - The list of groups to merge any found groups into
    `includeSubgroups` - Determines whether to search sub groups
  Throws:
    `UserStoreException`

### getUsersInGroup

    public void getUsersInGroup(java.lang.String groupName,
                                java.lang.String userCriteria,
                                boolean directly)
                         throws UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `groupName` - The name of the group to search for child groups
    `userCriteria` - The criteria to use for narrowing the list of users
    `directly` - Determines whether to search sub groups
  Throws:
    `UserStoreException`

### hasVendorStore

    public boolean hasVendorStore()

  Stub implementation, please do not override unless necessary

  Returns:
    Always true
  Throws:
    `UserStoreException`

### isPasswordExpiring

    public void isPasswordExpiring(java.lang.String userName)

  Stub implementation, please do not override unless necessary

  Parameters:
    `userName` - The name of the user to check for an expiring password
  Throws:
    `UserStoreException`

### isPrimaryUser

    public boolean isPrimaryUser(java.lang.String user)

  Stub implementation, please do not override unless necessary

  Parameters:
    `user` - Name of user to check
  Returns:
    Always true

### isPrimaryUserGroup

    public boolean isPrimaryUserGroup(java.lang.String group)

  Stub implementation, please do not override unless necessary

  Parameters:
    `group` - The name of the group to check
  Returns:
    Always true

### getGroupDn

    public java.lang.String getGroupDn(java.lang.String name)

  Since this is a non-LDAP class there is no notion of DN/CN. Just return the name passed in

  Parameters:
    `name` - The group name
  Returns:
    The group name that was passed in

### getUserDn

    public java.lang.String getUserDn(java.lang.String name)

  Since this is a non-LDAP class there is no notion of DN/CN. Just return the name passed in

  Parameters:
    `name` - The user name
  Returns:
    The user name that was passed in

### changePassword

    public void changePassword(java.lang.String s,
                               java.lang.String s1)
                        throws com.axeda.common.user.UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `s` - The username
    `s1` - The password
  Throws:
    `com.axeda.common.user.UserStoreException`

### changeAttribute

    public void changeAttribute(java.lang.String s,
                                com.axeda.common.user.UserAttribute userAttribute,
                                java.lang.Object o)
                         throws com.axeda.common.user.UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `s` - The username
    `userAttribute` - The name of the attribute to adjust
    `o` - The object to set as the attribute value
  Throws:
    `com.axeda.common.user.UserStoreException`

### changeAttributes

    public void changeAttributes(java.lang.String s,
                                 java.util.Map map)
                          throws com.axeda.common.user.UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `s` - The username
    `map` - The map of the attributes (name,value) to adjust
  Throws:
    `com.axeda.common.user.UserStoreException`

### createUserGroup

    public void createUserGroup(java.lang.String s,
                                java.lang.String s1)
                         throws com.axeda.common.user.UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `s` - The name of the user creating new group
    `s1` - The name of the new group
  Throws:
    `com.axeda.common.user.UserStoreException`

### createUserGroup

    public void createUserGroup(java.lang.String s,
                                java.lang.String s1,
                                java.lang.String s2)
                         throws com.axeda.common.user.UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `s` - The name of the user creating the group
    `s1` - The name of the new group
    `s2` - The name of a group to make this group a child of
  Throws:
    `com.axeda.common.user.UserStoreException`

### deleteUserGroup

    public void deleteUserGroup(java.lang.String s)
                         throws com.axeda.common.user.UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `s` - The name of the group to delete
  Throws:
    `com.axeda.common.user.UserStoreException`

### changeUserGroupAttribute

    public void changeUserGroupAttribute(java.lang.String s,
                                         com.axeda.common.user.UserGroupAttribute userGroupAttribute,
                                         java.lang.Object o)
                                  throws com.axeda.common.user.UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `s` - The groupname
    `userGroupAttribute` - The name of the attribute to adjust
    `o` - The object to set as the attribute value
  Throws:
    `com.axeda.common.user.UserStoreException`

### changeUserGroupAttributes

    public void changeUserGroupAttributes(java.lang.String s,
                                          java.util.Map map)
                                   throws com.axeda.common.user.UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `s` - The groupname
    `map` - The map of the attributes (name,value) to adjust
  Throws:
    `com.axeda.common.user.UserStoreException`

### createUser

    public void createUser(java.lang.String s,
                           java.lang.String s1,
                           java.lang.String s2,
                           java.lang.String[] strings)
                    throws com.axeda.common.user.UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `s` -
    `s1` -
    `s2` -
    `strings` -
  Throws:
    `com.axeda.common.user.UserStoreException`

### createUser

    public void createUser(java.lang.String s,
                           java.lang.String s1,
                           java.lang.String s2,
                           java.util.Map map,
                           java.lang.String[] strings)
                    throws com.axeda.common.user.UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `s` -
    `s1` -
    `s2` -
    `map` -
    `strings` -
  Throws:
    `com.axeda.common.user.UserStoreException`

### createUser

    public void createUser(java.lang.String s,
                           java.lang.String s1,
                           java.lang.String s2,
                           java.util.Map map,
                           java.lang.String[] strings,
                           boolean b)
                    throws com.axeda.common.user.UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `s` -
    `s1` -
    `s2` -
    `map` -
    `strings` -
    `b` -
  Throws:
    `com.axeda.common.user.UserStoreException`

### deleteUser

    public void deleteUser(java.lang.String s)
                    throws com.axeda.common.user.UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `s` -
  Throws:
    `com.axeda.common.user.UserStoreException`

### addGroupsToGroup

    public void addGroupsToGroup(java.util.Collection collection,
                                 java.lang.String s)
                          throws com.axeda.common.user.UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `collection` -
    `s` -
  Throws:
    `com.axeda.common.user.UserStoreException`

### removeGroupsFromGroup

    public void removeGroupsFromGroup(java.util.Collection collection,
                                      java.lang.String s)
                               throws com.axeda.common.user.UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `collection` -
    `s` -
  Throws:
    `com.axeda.common.user.UserStoreException`

### addUsersToGroup

    public void addUsersToGroup(java.util.Collection collection,
                                java.lang.String s)
                         throws com.axeda.common.user.UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `collection` -
    `s` -
  Throws:
    `com.axeda.common.user.UserStoreException`

### removeUsersFromGroup

    public void removeUsersFromGroup(java.util.Collection collection,
                                     java.lang.String s)
                              throws com.axeda.common.user.UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `collection` -
    `s` -
  Throws:
    `com.axeda.common.user.UserStoreException`

### addUserToGroups

    public void addUserToGroups(java.lang.String s,
                                java.util.Collection collection)
                         throws com.axeda.common.user.UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `s` -
    `collection` -
  Throws:
    `com.axeda.common.user.UserStoreException`

### removeUserFromGroups

    public void removeUserFromGroups(java.lang.String s,
                                     java.util.Collection collection)
                              throws com.axeda.common.user.UserStoreException

  Stub implementation, please do not override unless necessary

  Parameters:
    `s` -
    `collection` -
  Throws:
    `com.axeda.common.user.UserStoreException`

### isUserValid

    public boolean isUserValid(java.lang.String s,
                               java.lang.String s1)
                        throws com.axeda.common.user.UserStoreException

  Always return true for this user, the authenticator should already have estab lished the validity of this user

  Parameters:
    `s` - The username
    `s1` - The password
  Returns:
  Throws:
    `com.axeda.common.user.UserStoreException`

### getGroupsInGroup

    public void getGroupsInGroup(java.lang.String groupName,
                                 java.lang.String groupCriteria,
                                 java.util.List groups,
                                 boolean directly)
                          throws UserStoreException

  Merges the child groups of the specified group into the provided list of groups

  Parameters:
    `groupName` - The name of the group to query for children
    `groupCriteria` - The query string to narrow the list of child groups returned
    `groups` - The list of Group objects into which to merge the newly found groups
    `directly` - If true read only the direct children of this group, if false traverse the hierarchy of child groups
  Throws:
    `UserStoreException`

### getUsersInGroup

    public void getUsersInGroup(java.lang.String groupName,
                                java.lang.String userCriteria,
                                java.util.List users,
                                boolean directly)
                         throws UserStoreException

  Merges the child users of the specified group into the provided list of groups

  Parameters:
    `groupName` - The name of the group to query for children
    `userCriteria` - The query string to narrow the list of child users returned
    `users` - The list of User objects into which to merge the newly found users
    `directly` - If true read only the direct children of this group, if false traverse the hierarchy of child groups
  Throws:
    `UserStoreException`

### isVendorStore

    public boolean isVendorStore()

  Indicates whether this UserStore was instantiated as a partner User Store (i.e. not the primary)

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD